List dedicated sending IP addresses
curl --request GET \
--url https://app.loops.so/api/v1/dedicated-sending-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/dedicated-sending-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/dedicated-sending-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"1.2.3.4"
]
Configuration
List dedicated sending IP addresses
Retrieve a list of Loops’ dedicated sending IP addresses.
GET
/
v1
/
dedicated-sending-ips
List dedicated sending IP addresses
This endpoint is provided for the rare instances where you may need to whitelist our sending IPs. Please note that this list is subject to change and will not include shared IPs used for sending mail.Unless you are sure you need this and are comfortable watching for changes, we strongly recommend you do not whitelist these IPs.This endpoint may be rate-limited.
Request
No parameters.Response
Returns an array of IP address strings.IP address (e.g., “1.2.3.4”)
Error
A405 error will be returned if the wrong HTTP request method is used.
Error message
[
"1.2.3.4"
]
Last modified on April 21, 2026
Was this page helpful?
⌘I

